TJ3MAN(1)

NAME
tj3man - get documentation for TaskJuggler keywords or generate user manual

SYNOPSIS
tj3man [options]

DESCRIPTION
This program can be used to generate the user manual in HTML format or to get a textual help for individual keywords.

OPTIONS

-c, --config <FILE>
    Use the specified YAML configuration file

--silent
    Don't show program and progress information

--no-color
    Don't use ANSI contol sequences to color the terminal output. Colors should only be used when spooling to an ANSI terminal. In case the detection fails, you can use this option to force colors to be off.

--debug
    Enable Ruby debug mode

-d, --dir <directory>
    directory to put the manual

--html
    Show the user manual in your local web browser. By default, Firefox is used or the browser specified with the $BROWSER environment variable.

--browser <command>
    Specify the command to start your web browser. The default is 'firefox'.

-m, --manual
    Generate the user manual into the current directory or the directory specified with the -d option.

-h, --help
    Show this message

--version
    Show version info

ENVIRONMENT

BROWSER
    The web browser used to display the user manual as HTML.

EXAMPLES

tj3man shift
tj3man --html shift.timesheet
tj3man --html

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020

    by Chris Schlaeger <cs@taskjuggler.org>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation.

For more info about TaskJuggler see http://www.taskjuggler.org

SEE ALSO

tj3(1)

The TaskJuggler manual is also available online at http://www.taskjuggler.org/tj3/manual/.